package com.yaohun.mcbot.event;

import com.yaohun.mcbot.data.BotGroup;
import net.md_5.bungee.api.plugin.Event;

public class BotGroupMessageEvent extends Event {

    private long botId;

    private long groupId;

    private long senderId;

    private String senderName;

    private String message;

    private BotGroup botGroup;

    public BotGroupMessageEvent(long botId, long groupId, long senderId, String senderName, String message, BotGroup botGroup) {
        this.botId = botId;
        this.groupId = groupId;
        this.senderId = senderId;
        this.senderName = senderName;
        this.message = message;
        this.botGroup = botGroup;
    }

    public long getBotId() {
        return botId;
    }

    public long getGroupId() {
        return groupId;
    }

    public long getSenderId() {
        return senderId;
    }

    public String getSenderName() {
        return senderName;
    }

    public String getMessage() {
        return message;
    }

    public BotGroup getBotGroup() {
        return botGroup;
    }
}
